TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Modorder ( elt-ord^rat x, elt-ord^rat m ) -> elt-ord^rat

### Description

<shortdoc> The least integer k with 0 < k < m such that x^k = 1 mod m, (0 if x & m not coprime) [m > 1]. </shortdoc>

### Examples

Modorder(2,7);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack